Bug 976627 - [abrt] NetworkManager-0.9.8.2-2.fc19: deactivate_net_auth_done_cb: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.8.2-2.fc19: deactivate_net_auth_done_cb: Process /u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jirka Klimes
Fedora Extras Quality Assurance
abrt_hash:e3ede16fe83fd30b5c4d71cf1cf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 00:20 EDT by Brad Hubbard
Modified: 2016-01-04 01:03 EST (History)
3 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.8.2-8.git20130709.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.16 KB, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: cgroup (174 bytes, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: core_backtrace (2.21 KB, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: dso_list (3.40 KB, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: environ (139 bytes, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: maps (16.84 KB, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: open_fds (2.87 KB, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2013-06-21 00:20 EDT, Brad Hubbard
no flags Details
[PATCH] possible fix for the bug (crash) (1.18 KB, patch)
2013-06-28 08:09 EDT, Jirka Klimes
no flags Details | Diff

  None (edit)
Description Brad Hubbard 2013-06-21 00:20:20 EDT
Version-Release number of selected component:
NetworkManager-0.9.8.2-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: deactivate_net_auth_done_cb
executable:     /usr/sbin/NetworkManager
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 deactivate_net_auth_done_cb at nm-manager.c:3204
 #5 nm_auth_chain_check_done at nm-manager-auth.c:274
 #6 auth_call_complete at nm-manager-auth.c:333
 #7 pk_call_cb at nm-manager-auth.c:390
 #8 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #9 check_authorization_cb at polkitauthority.c:836
 #10 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #11 reply_cb at gdbusproxy.c:2632
 #12 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #13 g_dbus_connection_call_done at gdbusconnection.c:5339
Comment 1 Brad Hubbard 2013-06-21 00:20:26 EDT
Created attachment 763625 [details]
File: backtrace
Comment 2 Brad Hubbard 2013-06-21 00:20:29 EDT
Created attachment 763626 [details]
File: cgroup
Comment 3 Brad Hubbard 2013-06-21 00:20:34 EDT
Created attachment 763627 [details]
File: core_backtrace
Comment 4 Brad Hubbard 2013-06-21 00:20:38 EDT
Created attachment 763628 [details]
File: dso_list
Comment 5 Brad Hubbard 2013-06-21 00:20:43 EDT
Created attachment 763629 [details]
File: environ
Comment 6 Brad Hubbard 2013-06-21 00:20:47 EDT
Created attachment 763630 [details]
File: limits
Comment 7 Brad Hubbard 2013-06-21 00:20:52 EDT
Created attachment 763631 [details]
File: maps
Comment 8 Brad Hubbard 2013-06-21 00:20:55 EDT
Created attachment 763632 [details]
File: open_fds
Comment 9 Brad Hubbard 2013-06-21 00:20:59 EDT
Created attachment 763633 [details]
File: proc_pid_status
Comment 10 Brad Hubbard 2013-06-21 00:21:03 EDT
Created attachment 763634 [details]
File: var_log_messages
Comment 11 Jirka Klimes 2013-06-28 07:55:58 EDT
src/nm-manager.c:deactivate_net_auth_done_cb()
...
} else {
    /* success; deactivation allowed */
    if (!nm_manager_deactivate_connection (self, nm_auth_chain_get_data (chain, "path"), NM_DEVICE_STATE_REASON_USER_REQUESTED, &error))
        g_assert (error);
}
...

We check that error is set on failure by nm_manager_deactivate_connection().
But this is not the case when connection is VPN and nm_vpn_manager_deactivate_connection() fails.


Unrelated problems from log - comment #10:
(basically for devels reference):

> Jun 21 10:38:01 dhcp-1-109 NetworkManager[710]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted
???

> Jun 21 01:28:44 dhcp-1-109 NetworkManager[710]: <warn> Dispatcher failed: (32) Unit dbus-org.freedesktop.nm-dispatcher.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.nm-dispatcher.service' for details.
This has been fixed by updated systemd package /usr/lib/systemd/system-preset/90-default.preset) - bug 977433.
Comment 12 Jirka Klimes 2013-06-28 08:09:42 EDT
Created attachment 766549 [details]
[PATCH] possible fix for the bug (crash)
Comment 13 Jirka Klimes 2013-07-01 04:29:04 EDT
(In reply to Jirka Klimes from comment #12)
> Created attachment 766549 [details]
> [PATCH] possible fix for the bug (crash)

Pushed upstream:
a6f28f402b5b7df2be1eb1ed3d778fcf7076b473 (master)
d4d9d36f5116a289006a5022d395cb01f9bf68d4 (nm-0-9-8)
Comment 14 Fedora Update System 2013-07-09 12:27:04 EDT
NetworkManager-0.9.8.2-8.git20130709.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.8.2-8.git20130709.fc19
Comment 15 Fedora Update System 2013-07-09 21:21:19 EDT
Package NetworkManager-0.9.8.2-8.git20130709.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.8.2-8.git20130709.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12651/NetworkManager-0.9.8.2-8.git20130709.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-07-11 23:07:21 EDT
NetworkManager-0.9.8.2-8.git20130709.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.